> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User Account Permissions

> Returns all account permission assignments for a user.

Returns all account permission assignments for a user, including the account name and role details.


## OpenAPI

````yaml openapi/organizations/retrieve-user-account-permissions.json GET /organizations/users/{user_id}/account-permissions
openapi: 3.1.0
info:
  title: User Account Permissions API - Retrieve
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/users/{user_id}/account-permissions:
    get:
      summary: Retrieve User Account Permissions
      description: Returns all account permission assignments for a user.
      operationId: retrieve-user-account-permissions
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: User UUID.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_id:
                          type: string
                          format: uuid
                        account_name:
                          type: string
                        role_id:
                          type: string
                        role_name:
                          type: string
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````